added Makefile
[leqm-nrt.git] / Makefile
1 # Makefile.in generated by automake 1.15 from Makefile.am.
2 # Makefile.  Generated from Makefile.in by configure.
3
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15
16
17 am__is_gnu_make = { \
18   if test -z '$(MAKELEVEL)'; then \
19     false; \
20   elif test -n '$(MAKE_HOST)'; then \
21     true; \
22   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
23     true; \
24   else \
25     false; \
26   fi; \
27 }
28 am__make_running_with_option = \
29   case $${target_option-} in \
30       ?) ;; \
31       *) echo "am__make_running_with_option: internal error: invalid" \
32               "target option '$${target_option-}' specified" >&2; \
33          exit 1;; \
34   esac; \
35   has_opt=no; \
36   sane_makeflags=$$MAKEFLAGS; \
37   if $(am__is_gnu_make); then \
38     sane_makeflags=$$MFLAGS; \
39   else \
40     case $$MAKEFLAGS in \
41       *\\[\ \   ]*) \
42         bs=\\; \
43         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
44           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
45     esac; \
46   fi; \
47   skip_next=no; \
48   strip_trailopt () \
49   { \
50     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
51   }; \
52   for flg in $$sane_makeflags; do \
53     test $$skip_next = yes && { skip_next=no; continue; }; \
54     case $$flg in \
55       *=*|--*) continue;; \
56         -*I) strip_trailopt 'I'; skip_next=yes;; \
57       -*I?*) strip_trailopt 'I';; \
58         -*O) strip_trailopt 'O'; skip_next=yes;; \
59       -*O?*) strip_trailopt 'O';; \
60         -*l) strip_trailopt 'l'; skip_next=yes;; \
61       -*l?*) strip_trailopt 'l';; \
62       -[dEDm]) skip_next=yes;; \
63       -[JT]) skip_next=yes;; \
64     esac; \
65     case $$flg in \
66       *$$target_option*) has_opt=yes; break;; \
67     esac; \
68   done; \
69   test $$has_opt = yes
70 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
71 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
72 pkgdatadir = $(datadir)/leqm-nrt
73 pkgincludedir = $(includedir)/leqm-nrt
74 pkglibdir = $(libdir)/leqm-nrt
75 pkglibexecdir = $(libexecdir)/leqm-nrt
76 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
77 install_sh_DATA = $(install_sh) -c -m 644
78 install_sh_PROGRAM = $(install_sh) -c
79 install_sh_SCRIPT = $(install_sh) -c
80 INSTALL_HEADER = $(INSTALL_DATA)
81 transform = $(program_transform_name)
82 NORMAL_INSTALL = :
83 PRE_INSTALL = :
84 POST_INSTALL = :
85 NORMAL_UNINSTALL = :
86 PRE_UNINSTALL = :
87 POST_UNINSTALL = :
88 subdir = .
89 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
90 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
91 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
92         $(ACLOCAL_M4)
93 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
94         $(am__configure_deps) $(am__DIST_COMMON)
95 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
96  configure.lineno config.status.lineno
97 mkinstalldirs = $(install_sh) -d
98 CONFIG_CLEAN_FILES =
99 CONFIG_CLEAN_VPATH_FILES =
100 AM_V_P = $(am__v_P_$(V))
101 am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
102 am__v_P_0 = false
103 am__v_P_1 = :
104 AM_V_GEN = $(am__v_GEN_$(V))
105 am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
106 am__v_GEN_0 = @echo "  GEN     " $@;
107 am__v_GEN_1 = 
108 AM_V_at = $(am__v_at_$(V))
109 am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
110 am__v_at_0 = @
111 am__v_at_1 = 
112 SOURCES =
113 DIST_SOURCES =
114 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
115         ctags-recursive dvi-recursive html-recursive info-recursive \
116         install-data-recursive install-dvi-recursive \
117         install-exec-recursive install-html-recursive \
118         install-info-recursive install-pdf-recursive \
119         install-ps-recursive install-recursive installcheck-recursive \
120         installdirs-recursive pdf-recursive ps-recursive \
121         tags-recursive uninstall-recursive
122 am__can_run_installinfo = \
123   case $$AM_UPDATE_INFO_DIR in \
124     n|no|NO) false;; \
125     *) (install-info --version) >/dev/null 2>&1;; \
126   esac
127 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
128   distclean-recursive maintainer-clean-recursive
129 am__recursive_targets = \
130   $(RECURSIVE_TARGETS) \
131   $(RECURSIVE_CLEAN_TARGETS) \
132   $(am__extra_recursive_targets)
133 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
134         cscope distdir dist dist-all distcheck
135 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
136 # Read a list of newline-separated strings from the standard input,
137 # and print each of them once, without duplicates.  Input order is
138 # *not* preserved.
139 am__uniquify_input = $(AWK) '\
140   BEGIN { nonempty = 0; } \
141   { items[$$0] = 1; nonempty = 1; } \
142   END { if (nonempty) { for (i in items) print i; }; } \
143 '
144 # Make sure the list of sources is unique.  This is necessary because,
145 # e.g., the same source file might be shared among _SOURCES variables
146 # for different programs/libraries.
147 am__define_uniq_tagged_files = \
148   list='$(am__tagged_files)'; \
149   unique=`for i in $$list; do \
150     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
151   done | $(am__uniquify_input)`
152 ETAGS = etags
153 CTAGS = ctags
154 CSCOPE = cscope
155 DIST_SUBDIRS = $(SUBDIRS)
156 am__DIST_COMMON = $(srcdir)/Makefile.in \
157         $(top_srcdir)/build-aux/compile \
158         $(top_srcdir)/build-aux/install-sh \
159         $(top_srcdir)/build-aux/missing build-aux/compile \
160         build-aux/depcomp build-aux/install-sh build-aux/missing \
161         compile install-sh missing
162 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
163 distdir = $(PACKAGE)-$(VERSION)
164 top_distdir = $(distdir)
165 am__remove_distdir = \
166   if test -d "$(distdir)"; then \
167     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
168       && rm -rf "$(distdir)" \
169       || { sleep 5 && rm -rf "$(distdir)"; }; \
170   else :; fi
171 am__post_remove_distdir = $(am__remove_distdir)
172 am__relativize = \
173   dir0=`pwd`; \
174   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
175   sed_rest='s,^[^/]*/*,,'; \
176   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
177   sed_butlast='s,/*[^/]*$$,,'; \
178   while test -n "$$dir1"; do \
179     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
180     if test "$$first" != "."; then \
181       if test "$$first" = ".."; then \
182         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
183         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
184       else \
185         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
186         if test "$$first2" = "$$first"; then \
187           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
188         else \
189           dir2="../$$dir2"; \
190         fi; \
191         dir0="$$dir0"/"$$first"; \
192       fi; \
193     fi; \
194     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
195   done; \
196   reldir="$$dir2"
197 DIST_ARCHIVES = $(distdir).tar.gz
198 GZIP_ENV = --best
199 DIST_TARGETS = dist-gzip
200 distuninstallcheck_listfiles = find . -type f -print
201 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
202   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
203 distcleancheck_listfiles = find . -type f -print
204 ACLOCAL = ${SHELL} /home/lt/leqm/github/build-aux/missing aclocal-1.15
205 AMTAR = $${TAR-tar}
206 AM_DEFAULT_VERBOSITY = 1
207 AUTOCONF = ${SHELL} /home/lt/leqm/github/build-aux/missing autoconf
208 AUTOHEADER = ${SHELL} /home/lt/leqm/github/build-aux/missing autoheader
209 AUTOMAKE = ${SHELL} /home/lt/leqm/github/build-aux/missing automake-1.15
210 AWK = gawk
211 CC = gcc
212 CCDEPMODE = depmode=gcc3
213 CFLAGS = -g -O2
214 CPP = gcc -E
215 CPPFLAGS = 
216 CYGPATH_W = echo
217 DEFS = -DPACKAGE_NAME=\"leqm-nrt\" -DPACKAGE_TARNAME=\"leqm-nrt\" -DPACKAGE_VERSION=\"0.17\" -DPACKAGE_STRING=\"leqm-nrt\ 0.17\" -DPACKAGE_BUGREPORT=\"luca.trisciani@dcp-werkstatt.ch\" -DPACKAGE_URL=\"\" -DPACKAGE=\"leqm-nrt\" -DVERSION=\"0.17\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_STDLIB_H=1 -DHAVE_UNISTD_H=1 -DHAVE_STDIO_H=1 -DHAVE_MATH_H=1 -DHAVE_SNDFILE_H=1 -DHAVE_UNISTD_H=1 -DHAVE_PTHREAD_H=1 -DHAVE_STRING_H=1 -DHAVE_TIME_H=1 -DHAVE_CTYPE_H=1 -DHAVE_STDLIB_H=1 -DHAVE_MALLOC=1 -DHAVE_CLOCK_GETTIME=1 -DHAVE_MEMSET=1
218 DEPDIR = .deps
219 ECHO_C = 
220 ECHO_N = -n
221 ECHO_T = 
222 EGREP = /usr/bin/grep -E
223 EXEEXT = 
224 GREP = /usr/bin/grep
225 INSTALL = /usr/bin/install -c
226 INSTALL_DATA = ${INSTALL} -m 644
227 INSTALL_PROGRAM = ${INSTALL}
228 INSTALL_SCRIPT = ${INSTALL}
229 INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
230 LDFLAGS = 
231 LIBOBJS = 
232 LIBS = 
233 LTLIBOBJS = 
234 MAKEINFO = ${SHELL} /home/lt/leqm/github/build-aux/missing makeinfo
235 MKDIR_P = /usr/bin/mkdir -p
236 OBJEXT = o
237 PACKAGE = leqm-nrt
238 PACKAGE_BUGREPORT = luca.trisciani@dcp-werkstatt.ch
239 PACKAGE_NAME = leqm-nrt
240 PACKAGE_STRING = leqm-nrt 0.17
241 PACKAGE_TARNAME = leqm-nrt
242 PACKAGE_URL = 
243 PACKAGE_VERSION = 0.17
244 PATH_SEPARATOR = :
245 SET_MAKE = 
246 SHELL = /bin/sh
247 STRIP = 
248 VERSION = 0.17
249 abs_builddir = /home/lt/leqm/github
250 abs_srcdir = /home/lt/leqm/github
251 abs_top_builddir = /home/lt/leqm/github
252 abs_top_srcdir = /home/lt/leqm/github
253 ac_ct_CC = gcc
254 am__include = include
255 am__leading_dot = .
256 am__quote = 
257 am__tar = $${TAR-tar} chof - "$$tardir"
258 am__untar = $${TAR-tar} xf -
259 bindir = ${exec_prefix}/bin
260 build_alias = 
261 builddir = .
262 datadir = ${datarootdir}
263 datarootdir = ${prefix}/share
264 docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
265 dvidir = ${docdir}
266 exec_prefix = ${prefix}
267 host_alias = 
268 htmldir = ${docdir}
269 includedir = ${prefix}/include
270 infodir = ${datarootdir}/info
271 install_sh = ${SHELL} /home/lt/leqm/github/build-aux/install-sh
272 libdir = ${exec_prefix}/lib
273 libexecdir = ${exec_prefix}/libexec
274 localedir = ${datarootdir}/locale
275 localstatedir = ${prefix}/var
276 mandir = ${datarootdir}/man
277 mkdir_p = $(MKDIR_P)
278 oldincludedir = /usr/include
279 pdfdir = ${docdir}
280 prefix = /usr/local
281 program_transform_name = s,x,x,
282 psdir = ${docdir}
283 sbindir = ${exec_prefix}/sbin
284 sharedstatedir = ${prefix}/com
285 srcdir = .
286 sysconfdir = ${prefix}/etc
287 target_alias = 
288 top_build_prefix = 
289 top_builddir = .
290 top_srcdir = .
291 AUTOMAKE_OPTIONS = foreign
292 SUBDIRS = src 
293 all: all-recursive
294
295 .SUFFIXES:
296 am--refresh: Makefile
297         @:
298 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
299         @for dep in $?; do \
300           case '$(am__configure_deps)' in \
301             *$$dep*) \
302               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
303               $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
304                 && exit 0; \
305               exit 1;; \
306           esac; \
307         done; \
308         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
309         $(am__cd) $(top_srcdir) && \
310           $(AUTOMAKE) --foreign Makefile
311 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
312         @case '$?' in \
313           *config.status*) \
314             echo ' $(SHELL) ./config.status'; \
315             $(SHELL) ./config.status;; \
316           *) \
317             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
318             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
319         esac;
320
321 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
322         $(SHELL) ./config.status --recheck
323
324 $(top_srcdir)/configure:  $(am__configure_deps)
325         $(am__cd) $(srcdir) && $(AUTOCONF)
326 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
327         $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
328 $(am__aclocal_m4_deps):
329
330 # This directory's subdirectories are mostly independent; you can cd
331 # into them and run 'make' without going through this Makefile.
332 # To change the values of 'make' variables: instead of editing Makefiles,
333 # (1) if the variable is set in 'config.status', edit 'config.status'
334 #     (which will cause the Makefiles to be regenerated when you run 'make');
335 # (2) otherwise, pass the desired values on the 'make' command line.
336 $(am__recursive_targets):
337         @fail=; \
338         if $(am__make_keepgoing); then \
339           failcom='fail=yes'; \
340         else \
341           failcom='exit 1'; \
342         fi; \
343         dot_seen=no; \
344         target=`echo $@ | sed s/-recursive//`; \
345         case "$@" in \
346           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
347           *) list='$(SUBDIRS)' ;; \
348         esac; \
349         for subdir in $$list; do \
350           echo "Making $$target in $$subdir"; \
351           if test "$$subdir" = "."; then \
352             dot_seen=yes; \
353             local_target="$$target-am"; \
354           else \
355             local_target="$$target"; \
356           fi; \
357           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
358           || eval $$failcom; \
359         done; \
360         if test "$$dot_seen" = "no"; then \
361           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
362         fi; test -z "$$fail"
363
364 ID: $(am__tagged_files)
365         $(am__define_uniq_tagged_files); mkid -fID $$unique
366 tags: tags-recursive
367 TAGS: tags
368
369 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
370         set x; \
371         here=`pwd`; \
372         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
373           include_option=--etags-include; \
374           empty_fix=.; \
375         else \
376           include_option=--include; \
377           empty_fix=; \
378         fi; \
379         list='$(SUBDIRS)'; for subdir in $$list; do \
380           if test "$$subdir" = .; then :; else \
381             test ! -f $$subdir/TAGS || \
382               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
383           fi; \
384         done; \
385         $(am__define_uniq_tagged_files); \
386         shift; \
387         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
388           test -n "$$unique" || unique=$$empty_fix; \
389           if test $$# -gt 0; then \
390             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
391               "$$@" $$unique; \
392           else \
393             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
394               $$unique; \
395           fi; \
396         fi
397 ctags: ctags-recursive
398
399 CTAGS: ctags
400 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
401         $(am__define_uniq_tagged_files); \
402         test -z "$(CTAGS_ARGS)$$unique" \
403           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
404              $$unique
405
406 GTAGS:
407         here=`$(am__cd) $(top_builddir) && pwd` \
408           && $(am__cd) $(top_srcdir) \
409           && gtags -i $(GTAGS_ARGS) "$$here"
410 cscope: cscope.files
411         test ! -s cscope.files \
412           || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
413 clean-cscope:
414         -rm -f cscope.files
415 cscope.files: clean-cscope cscopelist
416 cscopelist: cscopelist-recursive
417
418 cscopelist-am: $(am__tagged_files)
419         list='$(am__tagged_files)'; \
420         case "$(srcdir)" in \
421           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
422           *) sdir=$(subdir)/$(srcdir) ;; \
423         esac; \
424         for i in $$list; do \
425           if test -f "$$i"; then \
426             echo "$(subdir)/$$i"; \
427           else \
428             echo "$$sdir/$$i"; \
429           fi; \
430         done >> $(top_builddir)/cscope.files
431
432 distclean-tags:
433         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
434         -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
435
436 distdir: $(DISTFILES)
437         $(am__remove_distdir)
438         test -d "$(distdir)" || mkdir "$(distdir)"
439         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
440         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
441         list='$(DISTFILES)'; \
442           dist_files=`for file in $$list; do echo $$file; done | \
443           sed -e "s|^$$srcdirstrip/||;t" \
444               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
445         case $$dist_files in \
446           */*) $(MKDIR_P) `echo "$$dist_files" | \
447                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
448                            sort -u` ;; \
449         esac; \
450         for file in $$dist_files; do \
451           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
452           if test -d $$d/$$file; then \
453             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
454             if test -d "$(distdir)/$$file"; then \
455               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
456             fi; \
457             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
458               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
459               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
460             fi; \
461             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
462           else \
463             test -f "$(distdir)/$$file" \
464             || cp -p $$d/$$file "$(distdir)/$$file" \
465             || exit 1; \
466           fi; \
467         done
468         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
469           if test "$$subdir" = .; then :; else \
470             $(am__make_dryrun) \
471               || test -d "$(distdir)/$$subdir" \
472               || $(MKDIR_P) "$(distdir)/$$subdir" \
473               || exit 1; \
474             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
475             $(am__relativize); \
476             new_distdir=$$reldir; \
477             dir1=$$subdir; dir2="$(top_distdir)"; \
478             $(am__relativize); \
479             new_top_distdir=$$reldir; \
480             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
481             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
482             ($(am__cd) $$subdir && \
483               $(MAKE) $(AM_MAKEFLAGS) \
484                 top_distdir="$$new_top_distdir" \
485                 distdir="$$new_distdir" \
486                 am__remove_distdir=: \
487                 am__skip_length_check=: \
488                 am__skip_mode_fix=: \
489                 distdir) \
490               || exit 1; \
491           fi; \
492         done
493         -test -n "$(am__skip_mode_fix)" \
494         || find "$(distdir)" -type d ! -perm -755 \
495                 -exec chmod u+rwx,go+rx {} \; -o \
496           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
497           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
498           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
499         || chmod -R a+r "$(distdir)"
500 dist-gzip: distdir
501         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
502         $(am__post_remove_distdir)
503
504 dist-bzip2: distdir
505         tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
506         $(am__post_remove_distdir)
507
508 dist-lzip: distdir
509         tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
510         $(am__post_remove_distdir)
511
512 dist-xz: distdir
513         tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
514         $(am__post_remove_distdir)
515
516 dist-tarZ: distdir
517         @echo WARNING: "Support for distribution archives compressed with" \
518                        "legacy program 'compress' is deprecated." >&2
519         @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
520         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
521         $(am__post_remove_distdir)
522
523 dist-shar: distdir
524         @echo WARNING: "Support for shar distribution archives is" \
525                        "deprecated." >&2
526         @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
527         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
528         $(am__post_remove_distdir)
529
530 dist-zip: distdir
531         -rm -f $(distdir).zip
532         zip -rq $(distdir).zip $(distdir)
533         $(am__post_remove_distdir)
534
535 dist dist-all:
536         $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
537         $(am__post_remove_distdir)
538
539 # This target untars the dist file and tries a VPATH configuration.  Then
540 # it guarantees that the distribution is self-contained by making another
541 # tarfile.
542 distcheck: dist
543         case '$(DIST_ARCHIVES)' in \
544         *.tar.gz*) \
545           GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
546         *.tar.bz2*) \
547           bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
548         *.tar.lz*) \
549           lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
550         *.tar.xz*) \
551           xz -dc $(distdir).tar.xz | $(am__untar) ;;\
552         *.tar.Z*) \
553           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
554         *.shar.gz*) \
555           GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
556         *.zip*) \
557           unzip $(distdir).zip ;;\
558         esac
559         chmod -R a-w $(distdir)
560         chmod u+w $(distdir)
561         mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
562         chmod a-w $(distdir)
563         test -d $(distdir)/_build || exit 0; \
564         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
565           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
566           && am__cwd=`pwd` \
567           && $(am__cd) $(distdir)/_build/sub \
568           && ../../configure \
569             $(AM_DISTCHECK_CONFIGURE_FLAGS) \
570             $(DISTCHECK_CONFIGURE_FLAGS) \
571             --srcdir=../.. --prefix="$$dc_install_base" \
572           && $(MAKE) $(AM_MAKEFLAGS) \
573           && $(MAKE) $(AM_MAKEFLAGS) dvi \
574           && $(MAKE) $(AM_MAKEFLAGS) check \
575           && $(MAKE) $(AM_MAKEFLAGS) install \
576           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
577           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
578           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
579                 distuninstallcheck \
580           && chmod -R a-w "$$dc_install_base" \
581           && ({ \
582                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
583                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
584                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
585                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
586                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
587               } || { rm -rf "$$dc_destdir"; exit 1; }) \
588           && rm -rf "$$dc_destdir" \
589           && $(MAKE) $(AM_MAKEFLAGS) dist \
590           && rm -rf $(DIST_ARCHIVES) \
591           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
592           && cd "$$am__cwd" \
593           || exit 1
594         $(am__post_remove_distdir)
595         @(echo "$(distdir) archives ready for distribution: "; \
596           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
597           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
598 distuninstallcheck:
599         @test -n '$(distuninstallcheck_dir)' || { \
600           echo 'ERROR: trying to run $@ with an empty' \
601                '$$(distuninstallcheck_dir)' >&2; \
602           exit 1; \
603         }; \
604         $(am__cd) '$(distuninstallcheck_dir)' || { \
605           echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
606           exit 1; \
607         }; \
608         test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
609            || { echo "ERROR: files left after uninstall:" ; \
610                 if test -n "$(DESTDIR)"; then \
611                   echo "  (check DESTDIR support)"; \
612                 fi ; \
613                 $(distuninstallcheck_listfiles) ; \
614                 exit 1; } >&2
615 distcleancheck: distclean
616         @if test '$(srcdir)' = . ; then \
617           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
618           exit 1 ; \
619         fi
620         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
621           || { echo "ERROR: files left in build directory after distclean:" ; \
622                $(distcleancheck_listfiles) ; \
623                exit 1; } >&2
624 check-am: all-am
625 check: check-recursive
626 all-am: Makefile
627 installdirs: installdirs-recursive
628 installdirs-am:
629 install: install-recursive
630 install-exec: install-exec-recursive
631 install-data: install-data-recursive
632 uninstall: uninstall-recursive
633
634 install-am: all-am
635         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
636
637 installcheck: installcheck-recursive
638 install-strip:
639         if test -z '$(STRIP)'; then \
640           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
641             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
642               install; \
643         else \
644           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
645             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
646             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
647         fi
648 mostlyclean-generic:
649
650 clean-generic:
651
652 distclean-generic:
653         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
654         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
655
656 maintainer-clean-generic:
657         @echo "This command is intended for maintainers to use"
658         @echo "it deletes files that may require special tools to rebuild."
659 clean: clean-recursive
660
661 clean-am: clean-generic mostlyclean-am
662
663 distclean: distclean-recursive
664         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
665         -rm -f Makefile
666 distclean-am: clean-am distclean-generic distclean-tags
667
668 dvi: dvi-recursive
669
670 dvi-am:
671
672 html: html-recursive
673
674 html-am:
675
676 info: info-recursive
677
678 info-am:
679
680 install-data-am:
681
682 install-dvi: install-dvi-recursive
683
684 install-dvi-am:
685
686 install-exec-am:
687
688 install-html: install-html-recursive
689
690 install-html-am:
691
692 install-info: install-info-recursive
693
694 install-info-am:
695
696 install-man:
697
698 install-pdf: install-pdf-recursive
699
700 install-pdf-am:
701
702 install-ps: install-ps-recursive
703
704 install-ps-am:
705
706 installcheck-am:
707
708 maintainer-clean: maintainer-clean-recursive
709         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
710         -rm -rf $(top_srcdir)/autom4te.cache
711         -rm -f Makefile
712 maintainer-clean-am: distclean-am maintainer-clean-generic
713
714 mostlyclean: mostlyclean-recursive
715
716 mostlyclean-am: mostlyclean-generic
717
718 pdf: pdf-recursive
719
720 pdf-am:
721
722 ps: ps-recursive
723
724 ps-am:
725
726 uninstall-am:
727
728 .MAKE: $(am__recursive_targets) install-am install-strip
729
730 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
731         am--refresh check check-am clean clean-cscope clean-generic \
732         cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
733         dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
734         distcheck distclean distclean-generic distclean-tags \
735         distcleancheck distdir distuninstallcheck dvi dvi-am html \
736         html-am info info-am install install-am install-data \
737         install-data-am install-dvi install-dvi-am install-exec \
738         install-exec-am install-html install-html-am install-info \
739         install-info-am install-man install-pdf install-pdf-am \
740         install-ps install-ps-am install-strip installcheck \
741         installcheck-am installdirs installdirs-am maintainer-clean \
742         maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
743         pdf-am ps ps-am tags tags-am uninstall uninstall-am
744
745 .PRECIOUS: Makefile
746
747
748 # Tell versions [3.59,3.63) of GNU make to not export all variables.
749 # Otherwise a system limit (for SysV at least) may be exceeded.
750 .NOEXPORT: